gsasl_check_version(3)

NAME
gsasl_check_version - API function

SYNOPSIS
#include <gsasl.h>

const char * gsasl_check_version(const char * req_version);

ARGUMENTS

const char * req_version
    version string to compare with, or NULL.

DESCRIPTION
Check GNU SASL Library version.

See GSASL_VERSION for a suitable req_version string.

This function is one of few in the library that can be used without a successful call to gsasl_init().

RETURN VALUE
Check that the version of the library is at minimum the one given as a string in req_version and return the actual version string of the library; return NULL if the condition is not met. If NULL is passed to this function no check is done and only the version string is returned.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.